Pub/Sub
Pull messages
Pull messages from a subscription. Returns up to max_messages messages. Messages must be acknowledged after processing or they will be redelivered.
curl -X POST "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/pull" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"max_messages": 25
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/pull"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"max_messages": 25
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/pull", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"max_messages": 25
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"max_messages": 25
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/pull", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string/pull')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"max_messages": 25
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"ack_id": "ack_3xL7nBcD",
"message": {
"id": "msg_7kH3nPqR",
"data": {},
"attributes": {},
"published_at": "2024-12-25T10:00:00Z"
},
"delivery_attempt": 1
}
],
"count": 10
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
POST
/admin/pubsub/subscriptions/{id}/pullPOST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
idstring
RequiredSubscription identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
max_messagesinteger
Maximum messages to return. Default 10, max 100.
Max: 100
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
idstring
RequiredSubscription identifier.
Body
application/json
max_messagesinteger
Maximum messages to return. Default 10, max 100.
Responses
successboolean
dataarray
countinteger
Was this page helpful?
Built with Documentation.AI
Last updated today